---
apiVersion: v2
name: grafana-agent
description: |
  An opinionated chart for deploying grafana-agent on k8s clusters.
type: application
version: 1.0.15

# For now this mirrors the version of the agent itself
# https://github.com/grafana/agent/blob/main/operations/helm/charts/grafana-agent/Chart.yaml#L6
appVersion: "v0.37.4"

dependencies:
  # This chart provides a nice set of common labels for kubernetes
  # resources. We include it to keep our labels consistent-ish
  - name: common
    version: ~2
    repository: oci://registry-1.docker.io/bitnamicharts
    tags:
      - bitnami-common

  # This chart is the offical chart maintained by the grafana team
  # We dont use this directly in order to keep our opinionated configuration.
  - name: grafana-agent
    version: "0.42.0"
    repository: https://grafana.github.io/helm-charts
    condition: grafana-agent.enabled